Document and fix tla/baz conversion tests
authorPatrick Mezard <pmezard@gmail.com>
Tue, 12 Feb 2008 23:35:44 +0100
changeset 6084 a672df805855
parent 6083 81a8667331e8
child 6085 e1f11b8a1e9e
Document and fix tla/baz conversion tests
tests/test-convert-baz
tests/test-convert-tla
--- a/tests/test-convert-baz	Tue Feb 12 23:35:35 2008 +0100
+++ b/tests/test-convert-baz	Tue Feb 12 23:35:44 2008 +0100
@@ -2,6 +2,16 @@
 
 "$TESTDIR/hghave" baz || exit 80
 
+# I cannot find a way to set the user name locally
+tla my-id > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+    echo '***'
+    echo '* PLEASE SET YOUR TLA USERNAME WITH:'
+    echo '* tla my-id username'
+    echo '***'
+    exit 1;
+fi
+
 echo "[extensions]" >> $HGRCPATH
 echo "convert=" >> $HGRCPATH
 echo 'hgext.graphlog =' >> $HGRCPATH
--- a/tests/test-convert-tla	Tue Feb 12 23:35:35 2008 +0100
+++ b/tests/test-convert-tla	Tue Feb 12 23:35:44 2008 +0100
@@ -2,6 +2,16 @@
 
 "$TESTDIR/hghave" tla || exit 80
 
+# I cannot find a way to set the user name locally
+tla my-id > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+    echo '***'
+    echo '* PLEASE SET YOUR TLA USERNAME WITH:'
+    echo '* tla my-id username'
+    echo '***'
+    exit 1;
+fi
+
 echo "[extensions]" >> $HGRCPATH
 echo "convert=" >> $HGRCPATH
 echo 'hgext.graphlog =' >> $HGRCPATH